package models

// WxNoticeInput 微信回调输入参数
type WxNoticeInput struct {
	ChannelId          string `json:"channel_id" description:"渠道号"`
	MerchantNo         string `json:"merchant_no" description:"结算商户号"`
	OrderCreateTime    string `json:"order_create_time" description:"订单创建时间"`
	OrderEfficientTime string `json:"order_efficient_time" description:"订单有效时间"`
	OrderInfo          string `json:"order_info" description:"订单描述"`
	OrderStatus        string `json:"order_status" description:"订单状态"`
	OutOrderNo         string `json:"out_order_no" description:"商户订单号"`
	PayOrderNo         string `json:"pay_order_no" description:"支付订单号"`
	TermNo             string `json:"term_no" description:"结算终端号"`
	TotalAmount        int64  `json:"total_amount" description:"订单金额，单位：分"`
	TransMerchantNo    string `json:"trans_merchant_no" description:"交易商户号"`
	TransTermNo        string `json:"trans_term_no" description:"交易终端号"`
	OrderTradeInfo     interface{} `json:"order_trade_info" description:""`
	SplitInfo          interface{} `json:"split_info" description:""`
}

// CallbackResponse is 回调给业务方的信息
type CallbackResponse struct {
	OutTradeNo    string `json:"out_trade_no"`   // 订单号
	ReturnMsg     string `json:"return_msg"`     // 是否成功
	AttachInfo    string `json:"attach_info"`    // 附加信息
	TransactionID string `json:"transaction_id"` // 微信支付订单号
	TradeNo       string `json:"trade_no"`       // 支付宝交易流水号
}
